MonitorQueue< DataT > Class Template Reference

`#include <pcl/outofcore/impl/monitor_queue.hpp>`

Inheritance diagram for MonitorQueue< DataT >:

## Public Member Functions

void | push (const DataT &newData)
DataT | pop ()

## Detailed Description

### template<typename DataT>
class MonitorQueue< DataT >

Definition at line 9 of file monitor_queue.hpp.

## Member Function Documentation

template<typename DataT >

DataT MonitorQueue< DataT >::pop | ( |  | ) |

inline

Definition at line 21 of file monitor_queue.hpp.

template<typename DataT >

void MonitorQueue< DataT >::push | ( | const DataT & | newData | ) |

inline

Definition at line 13 of file monitor_queue.hpp.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/outofcore/include/pcl/outofcore/impl/monitor_queue.hpp